h1, h2, h3, h4, h5 {
    color: var(--avs-color-02);
}
section#activity-section {
    * { position: relative; transition: 0.3s ease-in-out all}
    .card-preview {
        border-radius: 8px;
        cursor: pointer;
        box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
        border-color: white !important;
        text-decoration: none;
        * { }
        .card-header {
            border-radius: 8px 8px 0 0;
            * {}
            .card-image {
                border-radius: inherit;
                aspect-ratio: 16/9;
                background-position: center;
                background-size: cover;
                background-repeat: no-repeat;
            }
            span {
                position: absolute;
                z-index: 1;
                bottom: 0;
                right: 0;
                padding: 4px 8px;
                border-radius: 0;
                color: #fff !important;
                font-size: 10px;
                * {}
                &.a {
                    background-color: var(--avs-color-01) !important;
                }
                &.c {
                    background-color: var(--avs-color-02) !important;
                }
            }
        }
        .card-body {
            display: flex;
            text-align: end;
            flex-direction: column;
            * {}
            h6 {
                text-align: start;
                text-overflow: ellipsis;
                -webkit-box-orient: vertical;
                display: -webkit-box;
                overflow: hidden;
                -webkit-line-clamp: 3;
                height: 57px;
            }
            p {
                text-align: start;
            }
            a {
                text-decoration: none !important;
                color: #bbb;
                margin-top: auto;
            }
        }
        &:hover {
            * {}
            &:has(.a) h6, a, .readmore {
                color: var(--avs-color-01) !important;
            }
            &:has(.c) h6, a, .readmore {
                color: var(--avs-color-02) !important;
            }
            a {
                letter-spacing: 1px;
            }
        }
    }
}
section#activity-detail {
    background-color: white;
    * {}
    #div-activity-detail {
        background-color: #f5f5f5;
        * {}
        .table-activity-info {
            font-size: 12px !important;
            * {}
            thead {
                background-color: var(--avs-color-01);
                color: white;
                border-radius: 8px 0 0 8px;
                * {
                    background-color: var(--avs-color-01);
                    color: white;
                    border-radius: 8px 8px 0 0;
                }
                tr {
                    border-radius: 8px 8px 0 0;
                    text-align: center;
                    * {}
                    th {
                        border-bottom: 4px solid gray;
                    }
                }
            }
            tbody {
                background-color: whitesmoke;
                *::not(button) {
                    background-color: whitesmoke;
                    color: #333;
                }
                tr {
                    border: 2px solid whitesmoke;
                    border-top: 0px solid whitesmoke;
                    * {}
                    td {
                        padding: 4px 4px;
                    }
                    td:first-child {
                        text-align: center;
                    }
                    td:last-child {
                        text-align: start;
                    }
                }
            }
        }
        img {
            max-width: 100%;
            height: auto !important;
            object-fit: contain;
        }
    }
    .table-viewed {
        font-size: 14px !important;
        *:not(a) {color: #444;}
        tbody {
            background-color: white;
            *::not(button) {
                background-color: white;
                color: #444;
            }
            tr {
                cursor: pointer;
                border-color: whitesmoke;
                transition: all ease-in 0.15s;
                * {}
                td {
                    transition: all ease-in 0.15s;
                    * {}
                    span {
                        text-align: start !important;
                    }
                    a {
                        text-decoration: none;
                        transition: all ease-in-out 0.3s;
                    }
                }
                td:first-child {
                    font-weight: 700;
                    text-align: start;
                }
                td:last-child {
                    text-align: start;
                }
            }
            tr:hover {
                background-color: whitesmoke !important;
                *:not(a) {color: var(--avs-color-02) !important;}
                td {
                    background-color: whitesmoke !important;
                    * {}
                    a {
                        letter-spacing: 1px;
                    }
                }
            }
        }
    }
    .table-categories {
        * {}
        tr {
            cursor: pointer;
            transition: all ease-in 0.15s;
            * {}
            td {
                transition: all ease-in 0.15s;
                background-color: transparent !important;
            }
        }
        tr:hover {
            background-color: #f5f5f580 !important;
            * {color: var(--avs-color-02) !important;}
            td {
                background-color: #f5f5f580 !important;
            }
            td:first-child {
                letter-spacing: 1px;
            }
        }
    }
    .title-line {
        position: relative;
        * {}
        span {
            position: relative;
            border-radius: 4px;
            z-index: 1;
        }
        i {
            font-size: 24px;
        }
    }
    .title-line::after {
        position: absolute;
        content: '';
        top: calc(50% - 1px);
        width: 100%;
        height: 2px;
        background-color: var(--avs-color-03);
        filter: opacity(0.3);
        z-index: 0;
        left: 0;
    }
    .title-line span::before {
        position: absolute;
        content: '';
        top: calc(50% - 0px);
        width: calc(100% - 16px);
        height: 3px;
        background-color: white;
        z-index: -1;
        left: 10px;
    }
    #div-activity-info {
        * {}
    }
}
.paginationjs-pages {
    padding-top: 16px;
}
.paginationjs {
    * {}
    ul {
        text-align: center;
        display: inline-flex;
        width: 100%;
        position: relative;
        justify-content: center;
        margin: 0 auto;
        padding: 0;
    }
    li {
        position: relative;
        display: flex;
        list-style-type: none;
        padding-top: 2px 12px 0;
        cursor: pointer;
        background-color: white;
        color: #999;
        border-radius: 50%;
        height: 30px;
        width: 30px;
        align-items: center;
        justify-content: center;
        transition: .4s ease;
        margin: 0 6px;
        white-space: nowrap;
    }
    li.active {
        background-color: var(--avs-color-01);
        color: white;
        border-radius: 50%;
        scale: 1.2;
    }
}
.paginationjs-prev,
.paginationjs-next {
    width: fit-content !important;
    padding: 0px 16px;
    color: var(--avs-color-01);
}
.paginationjs-prev.disabled,
.paginationjs-next.disabled {
    color: #ccc;
    cursor: not-allowed;
}
